VkDescriptorSetAllocateInfo Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkDescriptorPool | descriptorPool
uint32_t | descriptorSetCount
const VkDescriptorSetLayout * | pSetLayouts

## Detailed Description

Definition at line 2196 of file vulkan.h.

## Field Documentation

## descriptorPool

VkDescriptorPool VkDescriptorSetAllocateInfo::descriptorPool

Definition at line 2199 of file vulkan.h.

## descriptorSetCount

uint32_t VkDescriptorSetAllocateInfo::descriptorSetCount

Definition at line 2200 of file vulkan.h.

## pNext

const void* VkDescriptorSetAllocateInfo::pNext

Definition at line 2198 of file vulkan.h.

## pSetLayouts

const VkDescriptorSetLayout* VkDescriptorSetAllocateInfo::pSetLayouts

Definition at line 2201 of file vulkan.h.

## sType

VkStructureType VkDescriptorSetAllocateInfo::sType

Definition at line 2197 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h